Find next prime number

- « gmp_neg

- gmp_or »

- PHP Manual
- GMP Functions
- Find next prime number

# gmp_nextprime

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

gmp_nextprime — Find next prime number

### Description

gmp_nextprime(GMP|int|string `$num`): GMP

Find next prime number

### Parameters

`num`

  A GMP object, an int or a numeric string.

### Return Values

Return the next prime number greater than `num`, as a GMP number.

### Examples

Example #1 gmp_nextprime() example

    <?php$prime1 = gmp_nextprime(10); // next prime number greater than 10$prime2 = gmp_nextprime(-1000); // next prime number greater than -1000echo gmp_strval($prime1) . "\n";echo gmp_strval($prime2) . "\n";?>

The above example will output:

    11
    2

### Notes

> Note:

> This function uses a probabilistic algorithm to identify primes and chances to get a composite number are extremely small.